Bug 60088 - man -k incorrectly says "nothing appropriate"
man -k incorrectly says "nothing appropriate"
Product: Red Hat Raw Hide
Classification: Retired
Component: man (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
: 60284 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-02-19 16:27 EST by Tim Clymo
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-25 05:33:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Clymo 2002-02-19 16:27:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020206

Description of problem:
man-1.5j-2 - /usr/bin/apropos seems to have gained an "a" instead of a null
value for $aproposgrepopt2 at line 23.

The effect of this is that apropos (or man -k) prepends an "a" to the string it
greps for in whatis (ie "man -k foo" actually greps for "afoo" instead of "foo").

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.man -k foo

Actual Results:  "foo: nothing appropriate"

Expected Results:  should have returned lines from whatis matching "foo"

Additional info:
Comment 1 Bernhard Rosenkraenzer 2002-02-25 05:33:47 EST
*** Bug 60284 has been marked as a duplicate of this bug. ***
Comment 2 Bernhard Rosenkraenzer 2002-02-25 08:14:51 EST
 Thanks, fixed in 1.5j-3

Note You need to log in before you can comment on or make changes to this bug.